#
# spec file for package gap-genss
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-genss
Version:        1.6.8
Release:        1.2
Summary:        GAP: generic Schreier-Sims
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            http://gap-packages.github.io/genss/
#Git-Clone:     https://github.com/gap-packages/genss
Source:         https://github.com/gap-packages/genss/releases/download/v%version/genss-%version.tar.bz2
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.9
Requires:       gap-gapdoc >= 1.5
Requires:       gap-io >= 4.2
Requires:       gap-orb >= 4.5

%description
The genss package implements the randomised Schreier-Sims algorithm
to compute a stabilizer chain and a base and strong generating set
for arbitrary finite groups.

%prep
%autosetup -n genss-%version

%build
# rpmlint (no +x bit present)
rm -v doc/clean

%install
rm -Rf scripts
%gappkg_simple_install

%files -f %name.files

%changelog
* Fri Nov 18 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.6.8
  * Add variants of Random methods which optionally accept a
    random source stabilizers in groups-with-memory
  * Fix a bug that cold lead to an unexpected error when computing
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.6.5
  * Use RecNames instead of the obsolete RecFields
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 1.6.4
  * Unspecified maintenance release
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 1.6.3
  * Fix a bug in SetwiseStabilizer
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 1.6.2
  * Internal metadata (maintainer, addresses) change only.
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 1.6.1
  * Change IsTuple to IsDirectProductElement.
  * Fix bug where stabilizers did not have the right parent group
  * Fix bug when dealing with diagonal matrix groups
  * Fix bug which sometimes lead to an endless loop in Stab()
* Fri May 10 2013 jengelh@inai.de
- Split genss (version 1.5) off the gap RPM package
